What Is SQL Server Client Network Utility?

SQL Server Client Network Utility is a graphical tool that allows you to:

  • Create network protocol connections to specified servers, and change the default network protocol.

  • Display information about the network libraries currently installed on the system.

  • Display the DB-Library version currently installed on the system, and set defaults for DB-Library options.

For more information about SQL Server Client Network Utility, see Managing Clients in SQL Server Books Online.

©1988-2000 Microsoft Corporation. All Rights Reserved.


General Tab

This section shows the options and their functions available on the General tab.

Options

Disabled Protocols

Indicates the available protocols not currently enabled on this computer. To enable a protocol, click the protocol, and then click Enable.

Enabled Protocols by Order

Indicates the protocols currently enabled on this computer. The protocols are listed in the order in which the system will attempt to use them for connections.

Enable

Enables the currently highlighted protocol in the Disabled protocols list. Double-clicking on the protocol will also perform this function.

Disable

Disables the currently highlighted protocol in the Enabled protocols by order list. Double-clicking on the protocol will also perform this function.

Up and Down Buttons

Moves the highlighted protocol up or down in the list. This allows you to change the order in which the Net-Library will attempt to use the protocols for connections.

Properties

Displays the default connection properties of the highlighted protocol.

Force Protocol Encryption

Enables protocol encryption using Secure Sockets Layer (SSL).

Enable Shared Memory Protocol

Enables the shared memory protocol for connections within the same computer.

See Also

How to add a network library configuration

How to delete a network library configuration

How to edit a network library configuration

How to verify that SQL Server is listening on AppleTalk


Named Pipes Protocol Default Value Setup

This section shows the options and their functions available in the Network Protocol Default Value Setup dialog box for Named Pipes.

Options

Default pipe

Specify the default pipe the Named Pipes Net-library will use to attempt to connect to the target instance of Microsoft® SQL Server™.

See Also

How to add a network library configuration

How to alias to an alternate pipe

How to delete a network library configuration

How to edit a network library configuration


TCP/IP Protocol Default Value Setup

This section shows the options and their functions available in the Network Protocol Default Value Setup dialog box for TCP/IP.

Options

Default port

Specify the port that the TCP/IP Net-library will use to attempt to connect to the target instance of Microsoft® SQL Server™ The default is 1433.

See Also

How to add a network library configuration

How to configure a client to use TCP/IP

How to delete a network library configuration

How to edit a network library configuration


Multiprotocol Protocol Default Value Setup

This section shows the options and their functions available in the Network Protocol Default Value Setup dialog box for Multiprotocol.

Options

RPC Protocols

List the protocols that the Multiprotocol Net-library will use to attempt to connect to the target instance of Microsoft® SQL Server™ The Multiprotocol Net-Library will try each protocol in the order specified until a connection is established. The names for individual protocols are listed below. Each one should be separated by a space.

Protocol | Name
Multiprotocol | nlrpc
Named Pipes | nacn_np
TCP/IP | nacn_ip_tcp
IPX/SPX | nacn_spx

See Also

How to add a network library configuration

How to configure a client to use the Multiprotocol Net-Library

How to delete a network library configuration

How to edit a network library configuration


NWLink IPX/SPX Protocol Default Value Setup

This section shows the options and their functions available in the Network Protocol Default Value Setup dialog box for NWLink IPX/SPX.

Options

Default network

Specify the NetWare network number. The default value is 0.

Default port

Specify the socket number. The default value is 33854.

See Also

How to add a network library configuration

How to configure a client to use the NWLink IPX/SPX network library

How to delete a network library configuration

How to edit a network library configuration


AppleTalk Protocol Default Value Setup

This section shows the options and their functions available in the Network Protocol Default Value Setup dialog box for AppleTalk.

Options

Default zone

Specify the zone used when registering the service.

See Also

How to add a network library configuration

How to configure a client to use the AppleTalk network library

How to delete a network library configuration

How to edit a network library configuration


Banyan VINES Protocol Default Value Setup

This section shows the options and their functions available in the Network Protocol Default Value Setup dialog box for Banyan VINES.

Options

Default group

Specify the group to which the service belongs.

Default organization

Specify the organization to which the group belongs.

See Also

How to add a network library configuration

How to configure a client to use the Banyan VINES network library

How to delete a network library configuration

How to edit a network library configuration


VIA Protocol Default Value Setup

This section shows the options and their functions available in the Network Protocol Default Value Setup dialog box for VIA.

Options

Vendor

Specify the hardware vendor to be used with the VIA protocol.

Default Server Port

Specify the default server port. The default value is 0:1433.

Default Client NIC

Specify the default client network interface card. The default value is 0.

See Also

How to add a network library configuration

How to delete a network library configuration

How to edit a network library configuration


Alias Tab

This section shows the options and their functions available on the Alias tab.

Options

Server alias configurations

Lists information about the server aliases of the computers to which the client is connecting.

Server alias

Indicates the server alias used for the computer to which the client is connecting.

Network library

Indicates the client network library used for the configuration entry.

Connection parameters

Indicates any parameters associated with the connection address for the network library configuration.

Add

Adds a new network library configuration.

Remove

Removes a network library configuration.

Edit

Edits a network library configuration.

See Also

How to add a network library configuration

How to delete a network library configuration

How to edit a network library configuration

How to verify that SQL Server is listening on AppleTalk


Add (or Edit) Named Pipes Library Configuration

This section shows the options and their functions available in the Add (or Edit) Network Library Configuration dialog box for Named Pipes.

Options

Server alias

Specify a unique name for the instance of Microsoft® SQL Server™ that listens on the Named Pipes network library.

Network libraries

Specify the network library that will be used to connect to the server. Named Pipes is selected.

Server name

Specify the server name of the target instance of SQL Server.

Pipe name

Specify the pipe the Named Pipes Net-library will use to attempt to connect to the target instance of SQL Server.

See Also

How to add a network library configuration

How to alias to an alternate pipe

How to delete a network library configuration

How to edit a network library configuration


Add (or Edit) TCP/IP Library Configuration

This section shows the options and their functions available in the Add (or Edit) Network Library Configuration dialog box for TCP/IP.

Options

Server alias

Specify a unique name for the server running an instance of Microsoft® SQL Server™ that listens on the TCP/IP Sockets network library.

Network libraries

Specify the network library that will be used to connect to the server. TCP/IP is selected.

Server name

Specify the instance of SQL Server that listens for TCP/IP Sockets clients.

Dynamically determine port

Specify that the Net-Library will determine the port dynamically. The port specified in Port number will not be used.

Port number

Specify the port that the TCP/IP Net-library will use to attempt to connect to the target instance of SQL Server. The default is 1433, the port number Windows Sockets Net-Library generally uses for SQL Server. In most cases, use the default port number. This field is only active when the Dynamically determine port check box is cleared.

See Also

How to add a network library configuration

How to configure a client to use TCP/IP

How to delete a network library configuration

How to edit a network library configuration


Add (or Edit) Multiprotocol Library Configuration

This section shows the options and their functions available in the Add (or Edit) Network Library Configuration dialog box for Multiprotocol.

Options

Server alias

Specify a unique name for the server running an instance of Microsoft® SQL Server™ that listens on the Multiprotocol network library.

Network libraries

Specify the network library that will be used to connect to the server. Multiprotocol is selected.

Server name

Specify the instance of SQL Server that listens for Multiprotocol clients.

Additional parameters

Specify additional configuration parameters for the Multiprotocol network library. These parameters are optional.

See Also

How to add a network library configuration

How to configure a client to use the Multiprotocol Net-Library

How to delete a network library configuration

How to edit a network library configuration


Add (or Edit) NWLink IPX/SPX Library Configuration (Service Name)

This section shows the options and their functions available in the Add (or Edit) Network Library Configuration dialog box for NWLink IPX/SPX.

Options

Server alias

Specify a unique name for the server running an instance of Microsoft® SQL Server™ that listens on the NWLink IPX/SPX network library.

Network libraries

Specify the network library that will be used to connect to the server. NWLink IPX/SPX is selected.

Specify parameters by

Indicate how parameters are specified. Service name is selected.

Service name

Specify the Microsoft Windows NT® 4.0 or Windows® 2000 computer name under which an instance of SQL Server is running. This information is stored in the bindery of the server.

See Also

How to add a network library configuration

How to configure a client to use the NWLink IPX/SPX network library

How to delete a network library configuration

How to edit a network library configuration


Add (or Edit) NWLink IPX/SPX Library Configuration (Network Address)

This section shows the options and their functions available in the Add (or Edit) Network Library Configuration dialog box for NWLink IPX/SPX.

Options

Server alias

Specify a unique name for the server running an instance of Microsoft® SQL Server™ that listens on the NWLink IPX/SPX network library.

Network libraries

Specify the network library that will be used to connect to the server. NWLink IPX/SPX is selected.

Specify parameters by

Indicate how parameters are specified. Network address is selected.

Address

Specify the MAC address.

Port

Specify the socket number. The default value is 33854.

Network

Specify the NetWare network number. The default value is 0.

See Also

How to add a network library configuration

How to configure a client to use the NWLink IPX/SPX network library

How to delete a network library configuration

How to edit a network library configuration


Add (or Edit) AppleTalk Library Configuration

This section shows the options and their functions available in the Add (or Edit) Network Library Configuration dialog box for AppleTalk.

Options

Server alias

Specify a unique name for the server running an instance of Microsoft® SQL Server™ that listens on the AppleTalk network library.

Network libraries

Specify the network library that will be used to connect to the server. AppleTalk is selected.

Object name

Specify the service object assigned by your system administrator.

Zone

Specify the zone used when registering the service.

See Also

How to add a network library configuration

How to configure a client to use the AppleTalk network library

How to delete a network library configuration

How to edit a network library configuration


Add (or Edit) Banyan VINES Library Configuration

This section shows the options and their functions available in the Add (or Edit) Network Library Configuration dialog box for Banyan VINES.

Options

Server alias

Specify a unique name for the server running an instance of Microsoft® SQL Server™ that listens using the Banyan VINES network library.

Network libraries

Specify the network library that will be used to connect to the server. Banyan VINES is selected.

Service

Specify the StreetTalk PC-based service name used by the server.

Group

Specify the group to which the service belongs.

Organization

Specify the organization to which the group belongs.

See Also

How to add a network library configuration

How to configure a client to use the Banyan VINES network library

How to delete a network library configuration

How to edit a network library configuration


Add (or Edit) VIA Library Configuration

This section shows the options and their functions available in the Add (or Edit) Network Library Configuration dialog box for VIA.

Options

Server alias

Specify a unique name for the server running an instance of Microsoft® SQL Server™ that listens using the VIA network library.

Network libraries

Specify the network library that will be used to connect to the server. VIA is selected.

Server name

Specify the instance of SQL Server that listens for VIA clients.

Server Port Number

Specify the server port number to use when connecting to the instance of SQL Server. The default is 0:1433.

See Also

How to add a network library configuration

How to delete a network library configuration

How to edit a network library configuration


Add (or Edit) Other Library Configurations

This section shows the options and their functions available in the Add (or Edit) Network Library Configuration dialog box for other protocols.

Options

Server alias

Specify a unique name for the server running an instance of Microsoft® SQL Server™ that listens using the new network library configuration.

Network libraries

Specify the network library that will be used to connect to the server. Other is selected.

File name

Specify the name and location of the DLL for the network library supplied by the third party.

Parameters

Specify any required parameters and their format.

See Also

How to add a network library configuration

How to configure a client to use a nonstandard network library

How to delete a network library configuration

How to edit a network library configuration


DB-Library Options Tab

This section shows the options and their functions available on the DB-Library Options tab.

Options

File name

Indicates the file name and location of the DB-Library installed on this computer.

Version

Indicates the version number of the DB-Library installed on this computer.

Date

Indicates the date that the DB-Library was installed on this computer.

Size

Indicates the file size of the DB-Library installed on this computer.

Automatic ANSI to OEM conversion

Enables DB-Library to convert a character set from OEM to ANSI when communicating with Microsoft® SQL Server™ from the client and from ANSI to OEM when communicating with the client from SQL Server. Selected by default.

Use international settings

Enables DB-Library to get date, time, and currency formats from the system rather than using hard-coded parameters. Selected by default for clients running on Microsoft Windows® 32-bit operating systems.

See Also

How to set DB-Library conversion preferences


Network Libraries Tab

This section shows the options and their functions available on the Network Libraries tab.

Options

Network library

Lists the Microsoft® SQL Server™ client network libraries installed on this computer.

Library file name

Lists the location of the SQL Server client network libraries installed on this computer.

Version

Lists the version numbers of the SQL Server client network libraries installed on this computer.

File date

Lists the dates the SQL Server client network libraries were installed on this computer.

Size

Lists the file sizes of the SQL Server client network libraries installed on this computer.

See Also

How to display the library version numbers


Managing Clients

A client is a front-end application that uses the services provided by a server. The computer that hosts the application is referred to as the client computer. Client software enables computers to connect to an instance of Microsoft® SQL Server™ on a network.

SQL Server clients can include applications of various types, such as:

  • OLE DB consumers.

    These applications use the Microsoft OLE DB Provider for SQL Server or the Microsoft OLE DB Provider for ODBC to connect to and converse with instances of SQL Server. The OLE DB providers serve as intermediaries between an instance of SQL Server and client applications that consume SQL Server data as OLE DB rowsets.

  • ODBC applications.

    These include client utilities installed with SQL Server, such as SQL Server Enterprise Manager and SQL Query Analyzer, as well as other applications that use the SQL Server ODBC driver to connect to and converse with an instance of SQL Server.

  • DB-Library clients, including the SQL Server isql command prompt utility and clients written to DB-Library.

Regardless of the type of application, managing a client consists mainly of configuring its connection with the server components of SQL Server. Depending on the requirements of your site, client management can range from little more than entering the name of the server computer to building a library of custom configuration entries to accommodate a diverse multiserver environment.


How to start the Client Network Utility (Windows)

To start the Client Network Utility

  • On the Start menu, point to Programs/Microsoft SQL Server, and then click Client Network Utility.


How to display the network library version numbers (Client Network Utility)

To display the library version numbers

  • Click the Network Libraries tab.

    The network library, library file name, version, file date, and size are displayed.


How to set DB-Library conversion preferences (Client Network Utility)

Note This procedure applies to Microsoft® Windows® 32-bit operating system clients.

To set the DB-Library conversion preferences

  1. Click the DB-Library Options tab.

  2. Select or clear the Automatic ANSI to OEM conversion check box.

  3. Select or clear the Use international settings check box.


How to add a network library configuration (Client Network Utility)

To add a network library configuration

  1. Click the Alias tab, and then click Add.

  2. In the Add Network Library Configuration dialog box, under Network libraries, select one of the network libraries.

  3. Enter the server alias and any required parameter information for the network library selected.


How to edit a network library configuration (Client Network Utility)

To edit a network library configuration

  1. Click the Alias tab, and then click the network protocol configuration to edit.

  2. Click Edit.

  3. In the Edit Network Library Configuration dialog box, edit the information to change.


How to delete a network library configuration (Client Network Utility)

To delete a network library configuration

  1. Click the Alias tab, and then click the network library configuration to delete.

  2. Click Remove.


How to alias a client to an alternate pipe (Client Network Utility)

To alias a client to an alternate pipe

  1. Click the Alias tab, and then click Add.

  2. In the Add Network Library Configuration dialog box, click Named Pipes.

  3. In the Server alias box, enter the server alias.

  4. Under Connection parameters, in the Pipe name box, type the name of the alternate pipe name (for example, \\myserver\pipe\altpipe).


How to configure a client to use the Multiprotocol Net-Library (Client Network Utility)

Note Before creating a Multiprotocol client configuration, make sure your computer has at least one IPC protocol loaded under Multiprotocol on the server (Named Pipes, NWLink IPX/SPX, TCP/IP, or Windows Sockets).

To configure a client to use the Multiprotocol Net-Library

  1. Click the Alias tab, and then click Add.

  2. In the Add Network Library Configuration dialog box, click Multiprotocol.

  3. In the Server alias box, enter the name of the instance of Microsoft® SQL Server™ listening on the Multiprotocol Net-Library.

  4. Leave the Additional parameters box empty, unless the server requires specific parameters. Verify with your network administrator before entering parameters.


How to configure a client to use TCP/IP (Client Network Utility)

To configure a client to use TCP/IP

  1. Click the General tab, and then click Add.

  2. In the Add Network Library Configuration dialog box, click TCP/IP.

  3. In the Server alias box, enter the alias of the instance of Microsoft® SQL Server™ listening on the Windows Sockets Net-Library.

    With TCP/IP, you can also specify the server with its IP address instead of its name.

  4. Do one of the following:
    • Select the Dynamically determine port check box to automatically determine the port.

    • Clear the Dynamically determine port check box to set the port manually, and then in the Port number box, type the port number.

For more information about other TCP/IP protocols that support Windows Sockets, see the TCP/IP documentation.


How to configure a client to use the NWLink IPX/SPX network library (Client Network Utility)

To configure a client to use the NWLink IPX/SPX network library

  1. Click the Alias tab, and then click Add.

  2. In the Add Network Library Configuration dialog box, click NWLink IPX/SPX.

  3. In the Server alias box, enter the alias of the instance of Microsoft® SQL Server™ listening on the NWLink IPX/SPX Net-Library.

  4. Under Connection parameters, click either Service name or Network address, and then do one of the following:
    • If you clicked Service name, enter the service name.

      Service name is the Microsoft Windows NT® 4.0 or Windows® 2000 computer name under which an instance of SQL Server is running. This name is stored in the Bindery of the server computer.

    • If you clicked Network address, enter the address (the MAC address), port (socket number), and network (NetWare network number).


How to configure a client to use the AppleTalk network library (Client Network Utility)

To configure a client to use the AppleTalk network library

  1. Click the Alias tab, and then click Add.

  2. In the Add Network Library Configuration dialog box, click AppleTalk.

  3. In the Server alias box, enter the name of the instance of Microsoft® SQL Server™ listening on the AppleTalk Net-Library.

  4. Under Connection parameters, type the AppleTalk object name and optional zone identifiers.


How to configure a client to use the Banyan VINES network library (Client Network Utility)

To configure a client to use the Banyan VINES network library

  1. Click the Alias tab, and then click Add.

  2. In the Add Network Library Configuration dialog box, click Banyan VINES.

  3. In the Server alias box, enter the alias of the instance of Microsoft® SQL Server™ listening on the Banyan VINES Net-Library.

  4. Under Connection parameters, type the service and the VINES organization. You can use the default value of MSSQL for group.


How to configure a client to use the VIA network library (Client Network Utility)

To configure a client to use the Banyan VINES network library

  1. Click the Alias tab, and then click Add.

  2. In the Add Network Library Configuration dialog box, click VIA.

  3. In the Server alias box, enter the alias of the instance of Microsoft® SQL Server™ listening on the VIA Net-Library.

  4. Under Connection parameters, type the server name and server port number.


How to configure a client to use a nonstandard network library (Client Network Utility)

To configure a client to use a nonstandard network library

  1. Click the Alias tab, and then click Add.

  2. In the Add Network Library Configuration dialog box, click Other.

  3. In the Server alias box, enter the alias of the instance of Microsoft® SQL Server™ listening on the Net-Library you plan to install.

  4. Under Connection parameters, type the file name (file must be a DLL) of the installed Net-Library. Do not enter the DLL extension.

  5. If necessary, enter any additional information in the Parameters box (such as user name and password). Use comma separators between parameters.


How to verify that SQL Server is listening on AppleTalk and can accept a client connection (Client Network Utility)

To verify that SQL Server is listening on AppleTalk and can accept a client connection

  1. Copy the client AppleTalk Net-Library (Dbmsadsn.dll) from the \WINNT\system32 directory of the server to the same directory of a remote computer running Microsoft® Windows NT® or Microsoft Windows® 2000 Services for Macintosh.

  2. On the remote workstation, start SQL Server Client Configuration.

  3. If AppleTalk is listed in the Disabled protocols list, click AppleTalk, and then click Enable.

  4. In the Enabled protocols by order list, click AppleTalk, and then click the up button until AppleTalk is at the top of the list.

  5. Click OK.

  6. Attempt an ISQL connection with the AppleTalk service object name.

    For example, at the command line, type:

    isql -Usa -P -Sservicename

    If you can connect with ISQL and execute queries, the server is configured properly and is accepting connections.

    Note The Microsoft Win32® AppleTalk (ADSP) client side Net-Library (Dbmsadsn.dll) is included for testing ADSP connections and troubleshooting AppleTalk connections between Macintosh clients and Microsoft SQL Server™. This Net-Library is intended to be used only when testing a connection from a remote client to an instance of SQL Server. If you attempt to make local connections through the ADSP Net-Library to an instance of SQL Server listening on AppleTalk, you will receive the following network error: Net-Library error 11: getsockopt().


How to check the ODBC SQL Server driver version (Windows)

Note You can follow these steps only if you are running the Microsoft® Windows NT® 4.0 operating system.

To check the ODBC SQL Server driver version (32-bit ODBC)

  1. In Control Panel, double-click ODBC Data Sources.

  2. Click the Drivers tab.

    Information for the Microsoft SQL Server™ entry is displayed in the Version column.


Microsoft SQL Server 2000 Copyright and Disclaimer

This document, including sample applications herein, is provided for informational purposes only and Microsoft makes no warranties, either express or implied, in this document. Information in this document, including samples, URL and other Internet Web site references, is subject to change without notice. The entire risk of the use or the results of the use of this document remains with the user.

The primary purpose of a sample is to illustrate a concept, or a reasonable use of a particular statement or clause. Most samples do not include all of the code that would normally be found in a full production system, as a lot of the usual data validation and error handling is removed to focus the sample on a particular concept or statement. Technical support is not available for these samples or for the provided source code.

Unless otherwise noted, the example companies, organizations, products, people, and events depicted herein are fictitious and no association with any real company, organization, product, person, or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

©1996-2000 Microsoft Corporation. All rights reserved.

Active Directory, ActiveX, BackOffice, CodeView, Developer Studio, FoxPro, JScript, Microsoft, Microsoft Press, Microsoft SQL Server, MSDN, MS-DOS, Outlook, PivotChart, PivotTable, PowerPoint, Visual Basic, Visual C++, Visual Studio, Win32, Windows 2000, Windows, and Windows NT are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.

Version: 8.00.000


Send us feedback about this page Client Network Utility Help

See SQL Server Books Online to review this topic.

©1988-2000 Microsoft Corporation. All Rights Reserved.